restinio::impl::chunked_input_info_block_t Struct Reference

Bunch of data related to chunked input. More...

`#include <chunked_input_info.hpp>`

## Public Attributes

std::vector< chunk_info_t > | m_chunks
| All non-empty chunks from the input. More...
http_header_fields_t | m_trailing_fields
| Trailing fields found in the input. More...

## Detailed Description

Bunch of data related to chunked input.

Since
  v.0.6.9

Definition at line 115 of file chunked_input_info.hpp.

## Member Data Documentation

## m_chunks

std::vector< chunk_info_t > restinio::impl::chunked_input_info_block_t::m_chunks

All non-empty chunks from the input.

Definition at line 118 of file chunked_input_info.hpp.

## m_trailing_fields

http_header_fields_t restinio::impl::chunked_input_info_block_t::m_trailing_fields

Trailing fields found in the input.

Note
  Can be empty.

Definition at line 125 of file chunked_input_info.hpp.

The documentation for this struct was generated from the following file:

- restinio/chunked_input_info.hpp